Subject: RE: [MMUSIC] draft-even-mmusic-video-media-control-00.txt

From: "Even, Roni" <[email-masked]>
Date: Thu, 18 Jul 2002 10:25:48 +0300

Joerg,
The receiver want a new stream from the encoder. The encoder will restart
the stream he is sending. This changes the whole stream. For example, if in
a conference we had A, B and C.  A was viewed by B and C ,while A was
viewing C. Now we have a switch. C will still view A, while B and A will see
C. so for A, he still receive the same stream from C, and  nothing needs to
be changed. But we have a new viewer for stream C. So even though A was
seeing it we need to ask for a new stream from C. The stream  will be reset
for both A and B. The change is that even though A was receiving a stream
from C the request from the conference control to new picture changed the
stream flow for him as well as for B who is getting a new stream. So for
both A and B the stream state has changed, for them this is a new
stream!!!!!
Roni 

> -----Original Message-----
> From: Joerg Ott [mailto:[email-masked]]
> Sent: Thursday, July 18, 2002 10:08 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: Re: [MMUSIC] draft-even-mmusic-video-media-control-00.txt
> 
> 
> > 
> > Jonathan,
> > I agree and that is why I think we need two different 
> methods. The RTCP is
> > defined to monitor the quality of service of the received 
> stream  and that
> > is why this is an indication, I would not like to use it 
> for requests and I
> > think that it was the consensus in the previous IETF AVT 
> meeting.. What we
> > want with the attribute, and the text will say it, is that 
> it is intended to
> > be used only when the receiver wants to receive a new 
> stream due to change
> > of source. We can call the attribute "new stream" so it 
> will be clearer. As
> > for abusing the usage this may happen in many aspects of 
> protocols, if the
> > text clarifies the usage then any one who does  differently 
> abuses the
> > protocol.
> 
> Sorry for the  delay in responding (in it may not matter too 
> much anymore)
> but: once you have set the "a=new-stream" attribute for the 
> stream, how
> are you going to indicate the next FIR (remember, it's state).
> 
> Joerg
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic